[bdist_rpm]
requires = ligo-common pyxmpp libxml2-python m2crypto python-dns, python-sleekxmpp
release = 3

[bdist_wheel]
universal=1

[metadata]
name = ligo-lvalert
version = 1.5.5
license = GPL-2+
license_file = COPYING
author = Alexander Pace, Leo Singer, Tanner Prestegard, Branson Stephens, Patrick Brady
author_email = alexander.pace@ligo.org
description = LIGO/Virgo LVAlert client powered by SleekXMPP
long_description = file:README.md
long_description_content_type = text/markdown
url = https://git.ligo.org/lscsoft/lvalert/
classifiers =
    Development Status :: 3 - Alpha
    Environment :: Console
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)
    Operating System :: POSIX
    Programming Language :: Python :: 2
    Programming Language :: Python :: 2.7
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.5
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Topic :: Internet
    Topic :: Scientific/Engineering :: Astronomy
    Topic :: Scientific/Engineering :: Physics

[options]
packages = find:
python_requires = >=2.7
install_requires =
    pyasn1>=0.1.8,<=0.3.7
    pyasn1-modules>=0.0.5,<=0.1.5
    ligo-common 
    m2crypto
    safe-netrc
    sleekxmpp>=1.3.3
    numpy
    six

[options.entry_points]
console_scripts =
    lvalert = ligo.lvalert.tool:main

[options.package_data]
ligo.lvalert = *.pem
